WPSList Class Reference

a small structure used to store the informations about a list More...

`#include <WPSList.h>`

## Classes

struct | Level
| small structure to keep information about a level More...

## Public Member Functions

| WPSList ()
| default constructor More...
int | getId () const
| returns the list id More...
int | getPreviousId () const
| returns the previous list id More...
void | setId (int newId)
| set the list id More...
int | numLevels () const
| returns the number of level More...
void | set (int levl, Level const &level)
| sets a level More...
void | setLevel (int levl) const
| set the list level More...
void | openElement () const
| open the list element More...
void | closeElement () const
| close the list element More...
bool | isNumeric (int levl) const
| returns true is a level is numeric More...
bool | mustSendLevel (int level) const
| returns true of the level must be send to the document interface More...
void | sendTo (WPXDocumentInterface &docInterface, int level) const
| send the list information to the document interface More...

## Protected Attributes

std::vector< Level > | m_levels
int | m_actLevel
std::vector< int > | m_actualIndices
std::vector< int > | m_nextIndices
int | m_id
int | m_previousId

## Detailed Description

a small structure used to store the informations about a list

## Constructor & Destructor Documentation

WPSList::WPSList | ( |  | ) |

inline

default constructor

## Member Function Documentation

void WPSList::closeElement | ( |  | ) | const

inline

close the list element

int WPSList::getId | ( |  | ) | const

inline

returns the list id

int WPSList::getPreviousId | ( |  | ) | const

inline

returns the previous list id

Note
  a cheat because writerperfect imposes to get a new id if the level 1 changes

bool WPSList::isNumeric | ( | int | levl | ) | const

returns true is a level is numeric

Referenced by openElement(), and sendTo().

bool WPSList::mustSendLevel | ( | int | level | ) | const

returns true of the level must be send to the document interface

int WPSList::numLevels | ( |  | ) | const

inline

returns the number of level

void WPSList::openElement | ( |  | ) | const

open the list element

void WPSList::sendTo | ( | WPXDocumentInterface & | docInterface,
|  | int | level
| ) |  | const

send the list information to the document interface

void WPSList::set | ( | int | levl,
|  | Level const & | level
| ) |  |

sets a level

void WPSList::setId | ( | int | newId | ) |

set the list id

void WPSList::setLevel | ( | int | levl | ) | const

set the list level

## Member Data Documentation

int WPSList::m_actLevel

mutable protected

Referenced by openElement(), and setLevel().

std::vector<int> WPSList::m_actualIndices

mutable protected

Referenced by openElement(), sendTo(), set(), and setLevel().

int WPSList::m_id

mutable protected

Referenced by getId(), sendTo(), and setId().

std::vector<Level> WPSList::m_levels

protected

Referenced by isNumeric(), mustSendLevel(), numLevels(), openElement(), sendTo(), set(), setId(), and setLevel().

std::vector<int> WPSList::m_nextIndices

mutable protected

Referenced by openElement(), set(), and setLevel().

int WPSList::m_previousId

mutable protected

Referenced by getPreviousId(), and setId().

The documentation for this class was generated from the following files:

- WPSList.h
- WPSList.cpp